summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2016-11-14 03:32:34 +1100
committerMichael Palimaka <kensington@gentoo.org>2016-11-14 03:33:09 +1100
commit7146f0a1bff65c095594df60f20608a46b2bf8b2 (patch)
tree528c077d1299d08adfe4a79922a9940326db2bff /virtual/notification-daemon
parentprofiles: mask virtual/notification-daemon[kde] on arm and ppc (diff)
downloadgentoo-7146f0a1bff65c095594df60f20608a46b2bf8b2.tar.gz
gentoo-7146f0a1bff65c095594df60f20608a46b2bf8b2.tar.bz2
gentoo-7146f0a1bff65c095594df60f20608a46b2bf8b2.zip
virtual/notification-daemon: improve KDE handling
Gentoo-bug: 588114 Package-Manager: portage-2.3.2
Diffstat (limited to 'virtual/notification-daemon')
-rw-r--r--virtual/notification-daemon/notification-daemon-0.ebuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/virtual/notification-daemon/notification-daemon-0.ebuild b/virtual/notification-daemon/notification-daemon-0.ebuild
index 88697789f25..ac2c16e356b 100644
--- a/virtual/notification-daemon/notification-daemon-0.ebuild
+++ b/virtual/notification-daemon/notification-daemon-0.ebuild
@@ -11,12 +11,13 @@ SRC_URI=""
LICENSE=""
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
-IUSE="gnome"
+IUSE="gnome kde"
RDEPEND="
gnome? ( || ( x11-misc/notification-daemon
gnome-base/gnome-shell ) )
- !gnome? ( || (
+ kde? ( kde-plasma/plasma-workspace )
+ !gnome? ( !kde? ( || (
x11-misc/notification-daemon
gnome-extra/cinnamon
xfce-extra/xfce4-notifyd
@@ -26,8 +27,7 @@ RDEPEND="
>=x11-wm/awesome-3.4.4
x11-wm/enlightenment[enlightenment_modules_notification]
x11-wm/enlightenment[e_modules_notification]
- kde-apps/knotify
x11-misc/mate-notification-daemon
lxqt-base/lxqt-notificationd
- kde-misc/colibri ) )"
+ kde-misc/colibri ) ) )"
DEPEND=""